## djangorestframework-api-key 2.0.0

=== requirements.txt ===
-e .

# Django environment.
django[argon2,bcrypt]==3.0.*
djangorestframework==3.10.*
dj-database-url
django-dotenv

# PostgreSQL testing.
psycopg2-binary

# Tooling.
autoflake
black
flake8
flake8-bugbear
flake8-comprehensions
isort
mkdocs==1.*
mkdocs-material==4.*
pymdown-extensions==6.*
mypy
pytest==5.*
pytest-django==3.5.*
pytest-cov
seed-isort-config

=== debian/changelog ===
djangorestframework-api-key (2.0.0-2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix copyright years. (Closes: #956920)
  * Refresh d/patches.

 -- Utkarsh Gupta <utkarsh@debian.org>  Sun, 12 Jul 2020 18:17:27 +0530

djangorestframework-api-key (2.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #948282).

 -- Adam Cecile <acecile@le-vert.net>  Sun, 12 Apr 2020 15:43:17 +0200

=== debian/control ===
Source: djangorestframework-api-key
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Adam Cecile <acecile@le-vert.net>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools,
  python3-djangorestframework (>= 2.2~),
  mkdocs <!nodoc>,
Standards-Version: 4.5.0
Homepage: https://florimondmanca.github.io/djangorestframework-api-key/
Vcs-Browser: https://salsa.debian.org/python-team/modules/djangorestframework-api-key
Vcs-Git: https://salsa.debian.org/python-team/modules/djangorestframework-api-key.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-djangorestframework-api-key
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-djangorestframework (>= 2.2~)
Suggests: python-djangorestframework-api-key-doc
Description: API key permissions for Django REST Framework
 Django REST Framework API Key is a powerful library for allowing server-side
 clients to safely use your API.
 .
 These clients are typically third-party backends and services
 (i.e. machines) which do not have a user account but still need to
 interact with your API in a secure way.

Package: python-djangorestframework-api-key-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${mkdocs:Depends}
Description: API key permissions for Django REST Framework (documentation)
 Django REST Framework API Key is a powerful library for allowing server-side
 clients to safely use your API.
 .
 These clients are typically third-party backends and services
 (i.e. machines) which do not have a user account but still need to
 interact with your API in a secure way.
 .
 This package contains HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=djangorestframework_api_key

%:
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	dh $@ --with python3,mkdocs --buildsystem=pybuild
else
	dh $@ --with python3 --buildsystem=pybuild
endif

override_dh_auto_build:
	dh_auto_build
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	PYTHONPATH=. http_proxy='127.0.0.1:9' mkdocs build --clean --site-dir build/html
endif

override_dh_installdocs:
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	dh_installdocs --doc-main-package=python3-djangorestframework-api-key --package=python-djangorestframework-api-key-doc
endif
	dh_installdocs --package=python3-djangorestframework-api-key

override_dh_auto_test:
	# Currently does not work
	# Looks like it needs a working Django database

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%djangorestframework-api-key-$1.tar.gz%" \
   https://github.com/florimondmanca/djangorestframework-api-key/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## djangorestframework-api-key 3.0.0

=== requirements.txt ===
-e .

# Django environment.
# django[argon2,bcrypt]  # See tools/install_django.sh
djangorestframework==3.14.*
dj-database-url
django-dotenv

# PostgreSQL testing.
psycopg2-binary

# Packaging.
twine
wheel

# Tooling.
black==23.9.1
django-test-migrations==1.3.0
mkdocs==1.5.2
mkdocs-material==9.3.1
pymdown-extensions==10.3
mypy==1.5.1
pytest==7.4.2
pytest-django==4.5.2
pytest-cov
ruff==0.0.289

=== debian/changelog ===
djangorestframework-api-key (3.0.0-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * [99965cf] Update standards version to 4.6.1, no changes needed.

  [ Carsten Schoenert ]
  * [7040c6a] d/watch: Move over to git mode on GitHub
  * [d787f36] d/gbp.conf: Add some default data
  * [3a638f2] New upstream version 3.0.0
  * [55da5dd] d/*: Running wrap-and-sort -ast
  * [31c10e5] d/control: Sort binary packages alphabetical
  * [772f1db] d/control: Update Standards-Version to 4.7.0
    No further changes needed.
  * [96723d1] d/copyright: Update year data
  * [040d3d2] d/control: Update Homepage to GitHub site
  * [6b5dde7] Rebuild patch queue from patch-queue branch
    Dropped patches (Included upstream or obsolete):
    Fix_mkdocs_yml
    fix-copyright-years.patch
    Renamed patch:
    Remove_privacy_breaches_in_doc
    -> Remove_privacy_breaches_in_doc.patch
  * [e43e4b3] d/control: Use dh-sequence-python3, pybuild-plugin-pyproject
  * [293af46] d/rules: Simplify default target
  * [78e425b] d/rules: Use variable PYBUILD_DISABLE to disable tests
  * [9514eba] d/rules: Tune and update the -doc build
  * [83f7b9a] d/rules: Clean up some folders too in dh_clean
  * [92b0da8] d/control: Add B-D on mkdocs-material
  * [ccc88d6] d/rules: Drop override_dh_installdocs

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 11 Jan 2025 20:06:09 +0200

djangorestframework-api-key (2.0.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 03:19:07 +0100

djangorestframework-api-key (2.0.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Mon, 25 Apr 2022 12:23:19 -0400

=== debian/control ===
Source: djangorestframework-api-key
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Adam Cecile <acecile@le-vert.net>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 mkdocs <!nodoc>,
 mkdocs-material <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-djangorestframework,
 python3-setuptools,
Standards-Version: 4.7.0
Homepage: https://github.com/florimondmanca/djangorestframework-api-key
Vcs-Browser: https://salsa.debian.org/python-team/packages/djangorestframework-api-key
Vcs-Git: https://salsa.debian.org/python-team/packages/djangorestframework-api-key.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python-djangorestframework-api-key-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${mkdocs:Depends},
Description: API key permissions for Django REST Framework (documentation)
 Django REST Framework API Key is a powerful library for allowing server-side
 clients to safely use your API.
 .
 These clients are typically third-party backends and services
 (i.e. machines) which do not have a user account but still need to
 interact with your API in a secure way.
 .
 This package contains HTML documentation.

Package: python3-djangorestframework-api-key
Architecture: all
Depends:
 python3-djangorestframework,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-djangorestframework-api-key-doc,
Description: API key permissions for Django REST Framework
 Django REST Framework API Key is a powerful library for allowing server-side
 clients to safely use your API.
 .
 These clients are typically third-party backends and services
 (i.e. machines) which do not have a user account but still need to
 interact with your API in a secure way.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=djangorestframework_api_key
# Tests need a "real" database.
export PYBUILD_DISABLE=test

%:
	dh $@ --with mkdocs --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf html .mypy_cache .pytest_cache

override_dh_auto_build:
	dh_auto_build
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	PYTHONPATH=. mkdocs build -v --clean --site-dir build/html
	rm -f html/requirements.* build/html/sitemap.xml.gz
endif

override_dh_mkdocs:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	dh_mkdocs
endif

## djangorestframework-api-key 3.1.0

=== Makefile ===
.PHONY: docs

venv = venv
bin = ${venv}/bin/
pysources = src/ test_project/ tests/

build:
	${bin}python -m build

check:
	${bin}ruff check ${pysources}
	${bin}black --check --diff ${pysources}
	${bin}mypy ${pysources}
	make migrations-check

docs:
	${bin}mkdocs build

docs-serve:
	${bin}mkdocs serve

docs-deploy:
	${bin}mkdocs gh-deploy

install: install-python

venv:
	python3 -m venv ${venv}

install-python: venv
	${bin}pip install -U pip wheel
	${bin}pip install -U build
	${bin}pip install -r requirements.txt
	./tools/install_django.sh ${bin}pip

format:
	${bin}ruff check --fix ${pysources}
	${bin}black ${pysources}

migrations:
	${bin}python -m tools.makemigrations

migrations-check:
	${bin}python -m tools.makemigrations --check

publish:
	${bin}twine upload dist/*

test:
	${bin}pytest

=== debian/changelog ===
djangorestframework-api-key (3.1.0-1) unstable; urgency=medium

  * Team upload
  * [90b9993] New upstream version 3.1.0
  * [c8fe211] d/control: Update Standards-Version to 4.7.2
    No further changes needed.
  * [cf5b9b6] d/control: Add Multi-Arch: foreign to -doc package

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 05 Apr 2025 18:00:00 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-all,
  python3-djangorestframework,
  python3-setuptools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/florimondmanca/djangorestframework-api-key
 Vcs-Browser: https://salsa.debian.org/python-team/packages/djangorestframework-api-key
 Vcs-Git: https://salsa.debian.org/python-team/packages/djangorestframework-api-key.git
@@ -27,6 +27,7 @@
 Depends:
  ${misc:Depends},
  ${mkdocs:Depends},
+Multi-Arch: foreign
 Description: API key permissions for Django REST Framework (documentation)
  Django REST Framework API Key is a powerful library for allowing server-side
  clients to safely use your API.

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/florimondmanca/djangorestframework-api-key.git \
      refs/tags/@ANY_VERSION@
